# Figure out on which release we're building
%define buildrelease %([ -z "$RELEASE" ] && rpm -q --qf "%%{version}" $(rpm -q --whatprovides redhat-release) || echo $RELEASE)

%define is_7_3 %([ "%{buildrelease}" = "7.3" ] && echo 1 || echo 0)
%define is_7_2 %([ "%{buildrelease}" = "7.2" ] && echo 1 || echo 0)
%define is_7_1 %([ "%{buildrelease}" = "7.1" ] && echo 1 || echo 0)
%define is_7_0 %([ "%{buildrelease}" = "7.0" ] && echo 1 || echo 0)
%define is_6_2 %([ "%{buildrelease}" = "6.2" ] && echo 1 || echo 0)
%define is_2_1_AS %([ "%{buildrelease}" = "2.1AS" ] && echo 1 || echo 0)

# 6.2/7.x user python1.5
%define python_ver python1.5

# future support for future rhnlib
%define has_rhnlib      0 

# 6.x needs to user pam_pwdb
%define uses_pam_pwdb	0 

# 7.2 and higher only, enables up2date to appear in nautilus "System" folder
%define uses_nautilus	0 

# 7.3 and higher only, usermode is split into usermode/usermode-gtk
%define usermode_gtk	0 

%if %{is_7_3}
%define has_rhnlib	0
%define uses_pam_pwdb	0
%define uses_nautilus	1
%define usermode_gtk	1
%endif

%if %{is_7_2}
%define has_rhnlib	0
%define uses_pam_pwdb	0
%define uses_nautilus	1
%define usermode_gtk	0
%endif

%if %{is_2_1_AS}
%define has_rhnlib      0
%define uses_pam_pwdb   0
%define uses_nautilus   1
%define usermode_gtk    0
%endif

%if %{is_7_1}
%define has_rhnlib	0
%define uses_pam_pwdb	0
%define uses_nautilus	0
%define usermode_gtk	0
%endif

%if %{is_7_0}
%define has_rhnlib	0
%define uses_pam_pwdb	0
%define uses_nautilus	0
%define usermode_gtk	0
%endif

%if %{is_6_2}
%define has_rhnlib	0
%define uses_pam_pwdb	1
%define uses_nautilus	0
%define usermode_gtk	0
%endif



Summary: Red Hat Network Services registration program.
Name: rhn_register
License: GPL
Group: System Environment/Base
Source0: %{name}-%{version}.tar.gz
Source1: version
Version: %(echo `awk '{ print $1 }' %{SOURCE1}`)
Release: %(echo `awk '{ print $2 }' %{SOURCE1}`).%{buildrelease}
BuildRoot: %{_tmppath}/%{name}-root
BuildPrereq: redhat-release
Requires: python >= 1.5 
Requires: rpm-python >= 4.0.2 
Requires: sh-utils
Requires: newt
Obsoletes: rhns_register

%if %{has_rhnlib}
Requires: rhnlib
%else
Requires: python-xmlrpc >= 1.4.4
%endif

%description
Allows you to register your system with Red Hat Network Services.

%package gnome
Summary: GUI client for the RHN registration program.
Group: System Environment/Base
Requires: %{name} = %{version}
Requires: usermode >= 1.33
Requires: pam >= 0.72
Requires: redhat-logos
Requires: pygnome pygtk pygtk-libglade pygnome-libglade
Obsoletes: rhns_register-gnome
%if %{usermode_gtk}
Requires: usermode-gtk
%endif

%description gnome
GNOME interface to the RHN registration program. Runs if X Windows is
available.

%prep
%setup -q 

%build
make PYTHON_VER=%{python_ver}

%install
# ONLY for 6.x builds
%if %{uses_pam_pwdb}
cp rhn_register.pam6x rhn_register.pam
%endif

rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
make  install PREFIX=$RPM_BUILD_ROOT MANPATH=%{_mandir} PYTHON_VER=%{python_ver}

%find_lang %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%dir /etc/sysconfig/rhn
%config(noreplace) /etc/sysconfig/rhn/rhn_register
/usr/sbin/rhn_register
/usr/sbin/rhnreg_ks
/usr/share/rhn/register/config.*
/usr/share/rhn/register/configUtils.*
/usr/share/rhn/register/text_config.*
/usr/share/rhn/register/translate.*
/usr/share/rhn/register/tui.*
/usr/share/rhn/register/hardware.*
/usr/share/rhn/register/rhnreg.*
/usr/lib/%{python_ver}/site-packages/dmimodule.so
%{_mandir}/man8/*

%files gnome
%defattr(-,root,root)
%config(noreplace) /etc/security/console.apps/rhn_register
%config(noreplace) /etc/pam.d/rhn_register
/usr/bin/rhn_register
/usr/lib/desktop-links/rhn_register-install.sh
/usr/share/rhn/rhn_icon_helper
/usr/share/rhn/register/*.png
/usr/share/rhn/register/gui.*
/usr/share/rhn/register/progress.*
/usr/share/rhn/register/checklist.*
/usr/share/rhn/register/configdlg.*

#notting and hp agree these shouldnt be config files
/etc/X11/applnk/System/rhn_register.desktop

%if %{uses_nautilus}
/etc/X11/sysconfig/rhn_register.desktop
%endif


%changelog
* Tue Sep 17 2002 Adrian Likins <alikins@redhat.com>
- make rebuild properly on AS

* Thu Aug 22 2002 Adrian Likins <alikins@redhat.com>
- automatically start rhnsd unless --norhnsd option
  is specified

* Tue Aug 13 2002 Cristian Gafton <gafton@redhat.com>
- figure out automatically what release are we building on
- remove the gnome2 noop

* Tue Jul 16 2002 Adrian Likins <alikins@redhat.com>
- add a --serverUrl commandline argument
- and --proxyUser, proxyPassword, --sslCACert too

* Thu Jun 27 2002 Adrian Likins <alikins@redhat.com>
- attempt to fix the po problems on 7.1

* Wed May 29 2002 Adrian Likins <alikins@redhat.com>
- first set of python2.2 changes 

* Wed Apr 17 2002 Adrian Likins <alikins@redhat.com>
- version fix 

* Tue Apr 16 2002 Adrian Likins <alikins@redhat.com>
- update translations
- use new graphic

* Wed Apr 10 2002 Adrian Likins <alikins@redhat.com>
- add manpage for rhnreg_ks
- update translations

* Wed Apr 10 2002 Adrian Likins <alikins@redhat.com>
- require newt (61662) 2.7.19

* Wed Apr  3 2002 Adrian Likins <alikins@redhat.com>
- dont generate desktop files from the spec
- make /etc/X11/sysconfig files conditional on releases with nautilus
- new define "uses_nautilus" for releases that use it (7.2+)
- new define "uses_pam_pwdb" for releases that use pam_pwdb (6.2)
- only install the pwdb based pam config files if "uses_pam_pwdb" is set

* Tue Feb 26 2002 Adrian Likins <alikins@redhat.com>
- user python_ver for make install as well

* Thu Jan 31 2002 Adrian Likins <alikins@redhat.com>
- use "python_ver" macro for building against 1.5.2/2.2

* Mon Nov 11 2001 Adrian Likins <alikins@redhat.com>
- move dmimodule to site-packages instead of the arch neutral /usr/share

* Fri Sep  7 2001 Cristian Gafton <gafton@redhat.com>
- use correct i18n domain for configdlg

* Thu Sep  6 2001 Cristian Gafton <gafton@redhat.com>
- imported translations

* Tue Sep  4 2001 Cristian Gafton <gafton@redhat.com>
- clean up Makefiles from build cruft
- add manpage
- add DMI code

* Thu Aug 30 2001 Adrian Likins <alikins@redhat.com> 1.4.0-22
- re-reintroduce oemInfo stuff
- catch rpm exceptions and exit gracefully if the rpm db is blocked

* Thu Aug 30 2001 Adrian Likins <alikins@redhat.com> 1.4.0-21
- updated ja translation

* Mon Aug 27 2001 Adrian Likins <alikins@redhat.com> 1.4.0-20
- fix the underscore rhn_register gui bug

* Thu Aug  9 2001 Adrian Likins <alikins@redhat.com> 1.4.0-19
- include a gui config
- po updates

* Tue Jul 24 2001 Adrian Likins <alikins@redhat.com>
- point at beta servers

* Sat Jul 7 2001 Adrian Likins <alikins@redhat.com>
- move to newer server api (include org support)
- be more robust on network failures. fix bug #28368
- more text_config work, fix bug #47502, #47499
- be more forgiving in the proxy names, fix bug #41611
- allow for longer usernames (64 chars), fix bug #40850
- include rhnreg_ks (commandling "kickstart" version)

* Thu May 31 2001 Cristian Gafton <gafton@redhat.com>
- fix up the parsing for the processor type so we get more complete information

* Fri May 25 2001 Adrian Likins <alikins@redhat.com>
- more ia64 fixes

* Tue May 22 2001 Bill Nottingham <notting@redhat.com>
- fix detection of multiple CPUs on ia64

* Wed May 16 2001 Preston Brown <pbrown@redhat.com>
- handle hardware detection in Itanium

* Tue May  8 2001 Adrian Likins <alikins@redhat.com>
- change the way the defaults for checkBox are setup (#37913)
   (6.2 tui client works properly)

* Fri Apr 27 2001 Preston Brown <pbrown@redhat.com> 1.3.3-1
- support for authenticated proxies (#18780).  Thanks to James Dennis.

* Tue Apr 10 2001 Preston Brown <pbrown@redhat.com>
- fix for bad hostname setup traceback (#35440)

* Fri Apr  6 2001 Preston Brown <pbrown@redhat.com>
- fix up translation stuff

* Mon Apr  2 2001 Preston Brown <pbrown@redhat.com>
- also chkconfig rhnsd on upon successful registration

* Tue Mar 27 2001 Preston Brown <pbrown@redhat.com>
- start rhnsd upon successful registration if available (#33422)

* Mon Mar 26 2001 Preston Brown <pbrown@redhat.com>
- make sure that large amounts of mem/swap don't overflow our variable (#33088)

* Mon Mar  5 2001 Preston Brown <pbrown@redhat.com>
- don't traceback on ctrl-c in text config (#29142).

* Wed Feb 14 2001 Preston Brown <pbrown@redhat.com>
- skip personal info screen if they are adding a new system to an existing 
  registered account.

* Mon Feb  5 2001 Preston Brown <pbrown@redhat.com>
- desktop icon runs rhn_register or update agent depending on registration 
  status.
- optional system id/serial number field added.

* Thu Jan 25 2001 Preston Brown <pbrown@redhat.com>
- email address is no longer optional.

* Wed Jan 24 2001 Preston Brown <pbrown@redhat.com>
- bump version
- integrate translations

* Sat Jan 20 2001 Adrian Likins <alikins@redhat.com>
- fix for text_config and config

* Fri Jan 19 2001 Jay Turner <jkt@redhat.com>
- added text_config text mode configuration
- added python wrapper
- added proxy support

* Wed Jan 10 2001 Jay Turner <jkt@redhat.com>
- added systemid backup functionality

* Tue Dec 19 2000 Preston Brown <pbrown@redhat.com>
- remove wording related specifically to Red Hat Linux 7.

* Wed Dec 15 2000 Preston Brown <pbrown@redhat.com>
- remove explicit newt dependency
- fix pam stuff

* Tue Dec 12 2000 Preston Brown <pbrown@redhat.com>
- slight specfile fixes for 6.x release
- give note about Update Agent usage (#21313)

* Sun Aug 27 2000 Preston Brown <pbrown@redhat.com>
- work around gtk problem with some labels on the hardware screen not showing
- platform-independent when reading cpuinfo out of /proc
- not sure what is up with the gtk label stuff.

* Fri Aug 25 2000 Preston Brown <pbrown@redhat.com>
- crucial TUI fixes for FatalErrorWindow

* Thu Aug 24 2000 Preston Brown <pbrown@redhat.com>
- bump version
- change way packagelist is built in gui to match tui, which works when
  there are multiple packages w/the same name in the RPM database.
- install desktop icon
- translatable strings included.

* Mon Aug 22 2000 Preston Brown <pbrown@redhat.com>
- explicit requirement on the correct version of newt.
- include tui, remove console module
- include artwork

* Mon Aug 21 2000 Preston Brown <pbrown@redhat.com>
- read glade file for progress bar from proper location

* Sun Aug 20 2000 Preston Brown <pbrown@redhat.com>
- profile.d scripts are gone
- move console-helper stuff to gnome subpkg.


* Wed Aug 09 2000 Preston Brown <pbrown@redhat.com>
- first cut.
- do not depend on usermode for this release.
